Subject: [aqm] FW: [tsvwg] New Liaison Statement, "Explicit Congestion Notification for Lower Layer Protocols"

From: "Scheffenegger, Richard" <[email-masked]>
Date: Tue, 21 Jul 2015 19:02:07 +0000

> Title: Explicit Congestion Notification for Lower Layer Protocols
> Submission Date: 2015-07-20
> URL of the IETF Web page: https://datatracker.ietf.org/liaison/1424/
> Please reply by 2015-10-30
> From: Transport Area Working Group (David Black <[email-masked]>)
> To: 3GPP ([email-masked])
> Cc: Gonzalo Camarillo <[email-masked]>,Gorry Fairhurst
> <[email-masked]>,Martin Stiemerling <[email-masked]>,Spencer
> Dawkins <[email-masked]>,John Kaippallimalil
> <[email-masked]>,Bob Briscoe
> <[email-masked]>,Transport Area Working Group Discussion List
> <[email-masked]>
> Response Contact: David Black <[email-masked]>
> Technical Contact: Bob Briscoe <[email-masked]>
> Purpose: For comment
> 
> Body: To: 3GPP SA, 3GPP CT, 3GPP RAN, 3GPP SA4, 3GPP SA2, 3GPP RAN2
> From: IETF TSVWG
> 
> In 2001, the IETF introduced explicit congestion notification (ECN) to the
> Internet Protocol as a proposed standard [RFC3168]. The purpose of ECN was
> to notify congestion without having to drop packets. The IETF originally
> specified ECN for cases where buffers were IP-aware. However, ECN is now
> being used in a number of environments including codec selection and rate
> adaptation, where 3GPP protocols such as PDCP encapsulate IP. As active
> queue management (AQM) and ECN become widely deployed in 3GPP networks and
> interconnected IP networks, it could be incompatible with the standardized
> use of ECN across the end-to-end IP transport [RFC7567].
> 
> The IETF is now considering new uses of ECN for low latency [draft-welzl-
> ecn-benefits] that would be applicable to 5G mobile flows. However, the
> IETF has realized that it has given little if any guidance on how to add
> explicit congestion notification to lower layer protocols or interfaces
> between lower layers and ECN in IP.
> 
> This liaison statement is to inform 3GPP, in particular those groups
> including those involved in 3GPP Release-10 work on the work item ECSRA_LA
> (TR23.860) - SA4, CT4, SA2 and RAN2. Please distribute to all groups that
> have used or plan to use IETF ECN /AQM RFCs in 3GPP specifications.
> 
> The IETF has started work on guidelines for adding ECN to protocols that
> may encapsulate IP and interfacing these protocols with ECN in IP. Then IP
> may act in its role as an interoperability protocol over multiple
> forwarding protocols. This activity is led by the IETF's transport
> services working group (tsvwg).
> 
> Actions:
> The IETF tsvwg kindly asks 3GPP:
> 1) to tell the IETF tsvwg which 3GPP working groups could be affected by
> this work.
> 2) To inform the IETF tsvwg of any specific 3GPP specifications affected
> by this work.
> 3) to forward this liaison statement to these affected working groups, and
> to invite them to review the latest draft of the guidelines, available
> here:
>          < http://tools.ietf.org/html/draft-ietf-tsvwg-ecn-encap-
> guidelines>
> 
> Review comments are particularly welcome on:
>   - comprehensibility for the 3GPP community
>   - usefulness and applicability
>   - technical feasibility
> 
> Review comments may be posted directly to the IETF tsvwg mailing list
> <mailto: [email-masked]>. Postings from non-subscribers may be delayed by
> moderation. Alternatively, subscription is open to all at: <
> https://www.ietf.org/mailman/listinfo/tsvwg>.
> 
> The following IETF specifications or drafts are particularly relevant to
> this activity (the relevance of each of them is explained in the first
> item below):
> * draft-ietf-tsvwg-ecn-encap-guidelines
> * RFC3168 updated by RFC4301, RFC6040 (ECN in respectively: IP/TCP, IPsec
> & IP-in-IP tunnels)
> * RFC6679 (ECN in RTP)
> * RFC5129 updated by RFC5462 (ECN in MPLS)
> * RFC4774 (Specifying alternative semantics for the ECN field)
> * RFC7567 (Recommendations Regarding Active Queue Management
> * draft-welzl-ecn-benefits (Benefits to Applications of Using ECN)
> 
> Yours,
> --David L. Black (TSVWG co-chair)
> Attachments:
> 
> No document has been attached

---

From: Dave Taht <[email-masked]>
Date: Wed, 22 Jul 2015 05:45:09 +0200

Is there  anyone doing ECN outreach also to IEEE 802.11?

On Tue, Jul 21, 2015 at 10:42 AM, Liaison Statement Management Tool
<[email-masked]> wrote:
> Cc: Gonzalo Camarillo <[email-masked]>,Gorry Fairhurst <[email-masked]>,Martin Stiemerling <[email-masked]>,Spencer Dawkins <[email-masked]>,John Kaippallimalil <[email-masked]>,Bob Briscoe <[email-masked]>,Transport Area Working Group Discussion List <[email-masked]>
> In 2001, the IETF introduced explicit congestion notification (ECN) to the Internet Protocol as a proposed standard [RFC3168]. The purpose of ECN was to notify congestion without having to drop packets. The IETF originally specified ECN for cases where buffers were IP-aware. However, ECN is now being used in a number of environments including codec selection and rate adaptation, where 3GPP protocols such as PDCP encapsulate IP. As active queue management (AQM) and ECN become widely deployed in 3GPP networks and interconnected IP networks, it could be incompatible with the standardized use of ECN across the end-to-end IP transport [RFC7567].
>
> The IETF is now considering new uses of ECN for low latency [draft-welzl-ecn-benefits] that would be applicable to 5G mobile flows. However, the IETF has realized that it has given little if any guidance on how to add explicit congestion notification to lower layer protocols or interfaces between lower layers and ECN in IP.
>
> This liaison statement is to inform 3GPP, in particular those groups including those involved in 3GPP Release-10 work on the work item ECSRA_LA (TR23.860) - SA4, CT4, SA2 and RAN2. Please distribute to all groups that have used or plan to use IETF ECN /AQM RFCs in 3GPP specifications.
>
> The IETF has started work on guidelines for adding ECN to protocols that may encapsulate IP and interfacing these protocols with ECN in IP. Then IP may act in its role as an interoperability protocol over multiple forwarding protocols. This activity is led by the IETF's transport services working group (tsvwg).
>
> Actions:
> 1) to tell the IETF tsvwg which 3GPP working groups could be affected by this work.
> 2) To inform the IETF tsvwg of any specific 3GPP specifications affected by this work.
> 3) to forward this liaison statement to these affected working groups, and to invite them to review the latest draft of the guidelines, available here:
>          < http://tools.ietf.org/html/draft-ietf-tsvwg-ecn-encap-guidelines>
>
> Review comments may be posted directly to the IETF tsvwg mailing list <mailto: [email-masked]>. Postings from non-subscribers may be delayed by moderation. Alternatively, subscription is open to all at: < https://www.ietf.org/mailman/listinfo/tsvwg>.
>
> The following IETF specifications or drafts are particularly relevant to this activity (the relevance of each of them is explained in the first item below):
> * RFC3168 updated by RFC4301, RFC6040 (ECN in respectively: IP/TCP, IPsec & IP-in-IP tunnels)
> * RFC6679 (ECN in RTP)

-- 
Dave Täht
worldwide bufferbloat report:
http://www.dslreports.com/speedtest/results/bufferbloat
And:
What will it take to vastly improve wifi for everyone?
https://plus.google.com/u/0/explore/makewififast

---

From: "Black, David" <[email-masked]>
Date: Wed, 22 Jul 2015 10:48:50 +0000

Already done, a while back, see: https://datatracker.ietf.org/liaison/1364/

Thanks,
--David

> -----Original Message-----
> From: tsvwg [mailto:[email-masked]] On Behalf Of Dave Taht
> Sent: Tuesday, July 21, 2015 11:45 PM
> To: Liaison Statement Management Tool
> Cc: Gorry Fairhurst; Transport Area Working Group Discussion List; Gonzalo
> Camarillo; Martin Stiemerling; [email-masked]; [email-masked]
> Subject: Re: [tsvwg] New Liaison Statement, "Explicit Congestion Notification
> for Lower Layer Protocols"
> 
> <[email-masked]>,Martin Stiemerling <[email-masked]>,Spencer Dawkins
> <[email-masked]>,John Kaippallimalil
> <[email-masked]>,Bob Briscoe <[email-masked]>,Transport
> Area Working Group Discussion List <[email-masked]>
> Internet Protocol as a proposed standard [RFC3168]. The purpose of ECN was to
> notify congestion without having to drop packets. The IETF originally
> specified ECN for cases where buffers were IP-aware. However, ECN is now being
> used in a number of environments including codec selection and rate
> adaptation, where 3GPP protocols such as PDCP encapsulate IP. As active queue
> management (AQM) and ECN become widely deployed in 3GPP networks and
> interconnected IP networks, it could be incompatible with the standardized use
> of ECN across the end-to-end IP transport [RFC7567].
> >
> ecn-benefits] that would be applicable to 5G mobile flows. However, the IETF
> has realized that it has given little if any guidance on how to add explicit
> congestion notification to lower layer protocols or interfaces between lower
> layers and ECN in IP.
> >
> (TR23.860) - SA4, CT4, SA2 and RAN2. Please distribute to all groups that have
> used or plan to use IETF ECN /AQM RFCs in 3GPP specifications.
> >
> > The IETF has started work on guidelines for adding ECN to protocols that may
> encapsulate IP and interfacing these protocols with ECN in IP. Then IP may act
> in its role as an interoperability protocol over multiple forwarding
> protocols. This activity is led by the IETF's transport services working group
> (tsvwg).
> >
> > Actions:
> to invite them to review the latest draft of the guidelines, available here:
> this activity (the relevance of each of them is explained in the first item
> below):

---

From: Michael Welzl <[email-masked]>
Date: Thu, 23 Jul 2015 00:51:33 +0200

Somehow the wrong old name seems to stick with this draft. I can understand that, I'm used to it: it's just normal that people want to use your name all the time when you're an exceptionally good-looking celebrity.
So of course draft-welzl-... is sexier than draft-ietf-aqm-.... but we just have to face the truth:
the correct name of this draft is (and has long been) draft-ietf-aqm-ecn-benefits

(this wrongly appears in at least two positions in the text below)

Cheers,
Michael

> On 21. jul. 2015, at 21.02, Scheffenegger, Richard <[email-masked]> wrote:
> 
> 
> _______________________________________________
> aqm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/aqm